#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import locale
locale.setlocale(locale.LC_ALL, '')

from tuikit import Application, Label, VerticalLayout


class MyApplication(Application):
    def __init__(self):
        Application.__init__(self)
        self.top.add_handler('keypress', self.on_top_keypress)

        for attr in ['blink', 'bold', 'dim', 'standout', 'underline']:
            label = Label(attr)
            label.color = 'test-' + attr
            self.top.add(label)

        self.top.layout = VerticalLayout()

    def on_top_keypress(self, ev):
        if ev.keyname == 'escape':
            self.terminate()
            return True


if __name__ == '__main__':
    app = MyApplication()
    app.start()

